netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
session.c File Reference
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include <atalk/atp.h>`
`#include <atalk/logger.h>`
`#include <atalk/pap.h>`
`#include <netatalk/at.h>`
`#include "file.h"`
`#include "lp.h"`
`#include "session.h"`

## Functions
int | ps (struct papfile *infile, struct papfile *outfile, struct sockaddr_at *sat)
int | session (ATP atp, struct sockaddr_at *sat)

## Variables
unsigned char | connid
unsigned char | quantum
unsigned char | oquantum
static char | buf [PAP_MAXQUANTUM][4+PAP_MAXDATA]
static struct iovec | niov [PAP_MAXQUANTUM]

## Function Documentation

## ◆ ps()

int ps | ( | struct papfile * | infile,
|  | struct papfile * | outfile,
|  | struct sockaddr_at * | sat )

## ◆ session()

int session | ( | ATP | atp,
|  | struct sockaddr_at * | sat )

Accept files until the client closes the connection. Read lines of a file, until the client sends eof, after which we'll send eof also.

## Variable Documentation

## ◆ buf

char buf[PAP_MAXQUANTUM][4+PAP_MAXDATA]
| static

## ◆ connid

unsigned char connid
| extern

## ◆ niov

struct iovec niov[PAP_MAXQUANTUM]
| static

Initial value:
= {
{ buf[0], 0 },
{ buf[1], 0 },
{ buf[2], 0 },
{ buf[3], 0 },
{ buf[4], 0 },
{ buf[5], 0 },
{ buf[6], 0 },
{ buf[7], 0 },
}
buf
static char buf[MAXPATHLEN+1]
Definition afppasswd.c:113

## ◆ oquantum

unsigned char oquantum

## ◆ quantum

unsigned char quantum